strtolower
strtr
String Functions
PHP Manual

# strtoupper

(PHP 4, PHP 5)

strtoupper — Make a string uppercase

### Description

string strtoupper ( string `$string` )

Returns `string` with all alphabetic characters converted to uppercase.

Note that 'alphabetic' is determined by the current locale. For instance, in the default "C" locale characters such as umlaut-a (ä) will not be converted.

### Parameters

`string`

  The input string.

### Return Values

Returns the uppercased string.

### Examples

Example #1 strtoupper() example

`<?php
$str = "Mary Had A Little Lamb and She LOVED It So";
$str = strtoupper($str);
echo $str; // Prints MARY HAD A LITTLE LAMB AND SHE LOVED IT SO
?>`

### Notes

> Note: This function is binary-safe.

### See Also

- strtolower() - Make a string lowercase
- ucfirst() - Make a string's first character uppercase
- ucwords() - Uppercase the first character of each word in a string
- mb_strtoupper() - Make a string uppercase

strtolower
strtr
String Functions
PHP Manual